package org.wfc.omada.api.globalsetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Dispatch Log Detail
 */
@ApiModel(description = "Dispatch Log Detail")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:48:54.878+08:00[Asia/Shanghai]")

public class OpenApiDispatchLogDetailVo   {
  @JsonProperty("headers")
  private String headers;

  @JsonProperty("content")
  private String content;

  @JsonProperty("attemptNumber")
  private Integer attemptNumber;

  public OpenApiDispatchLogDetailVo headers(String headers) {
    this.headers = headers;
    return this;
  }

  /**
   * Http Headers of Webhook Push
   * @return headers
  */
  @ApiModelProperty(value = "Http Headers of Webhook Push")


  public String getHeaders() {
    return headers;
  }

  public void setHeaders(String headers) {
    this.headers = headers;
  }

  public OpenApiDispatchLogDetailVo content(String content) {
    this.content = content;
    return this;
  }

  /**
   * Webhook Push Content
   * @return content
  */
  @ApiModelProperty(value = "Webhook Push Content")


  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public OpenApiDispatchLogDetailVo attemptNumber(Integer attemptNumber) {
    this.attemptNumber = attemptNumber;
    return this;
  }

  /**
   * Webhook Attempt Number
   * @return attemptNumber
  */
  @ApiModelProperty(value = "Webhook Attempt Number")


  public Integer getAttemptNumber() {
    return attemptNumber;
  }

  public void setAttemptNumber(Integer attemptNumber) {
    this.attemptNumber = attemptNumber;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OpenApiDispatchLogDetailVo openApiDispatchLogDetailVo = (OpenApiDispatchLogDetailVo) o;
    return Objects.equals(this.headers, openApiDispatchLogDetailVo.headers) &&
        Objects.equals(this.content, openApiDispatchLogDetailVo.content) &&
        Objects.equals(this.attemptNumber, openApiDispatchLogDetailVo.attemptNumber);
  }

  @Override
  public int hashCode() {
    return Objects.hash(headers, content, attemptNumber);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OpenApiDispatchLogDetailVo {\n");
    
    sb.append("    headers: ").append(toIndentedString(headers)).append("\n");
    sb.append("    content: ").append(toIndentedString(content)).append("\n");
    sb.append("    attemptNumber: ").append(toIndentedString(attemptNumber)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

